;-----------------------------------------------------------------------------
; Equates & macros
;-----------------------------------------------------------------------------
	CRLF$		equ	0dh,0ah,24h
	PSE		equ	10h
	PAE		equ	20h
	PTE_A		equ	20h
	PTE_D		equ	40h
	FARCS		equ	200000h ; base of far CS address
	FARDS		equ	400000h ; base of far DS address
	Signature	equ	55aa55aah


JMPFAR	MACRO	destination,selector	; dynamic JMP FAR SEG:OFF
	db	0eah			;; jmp instruction
	dw	offset destination	;; offset word
	dw	selector		;; segment selector word
	endm

JMPFAR32	MACRO	destination,selector	; dynamic JMP FAR SEG:OFF
	db	0eah			;; jmp instruction
	dd	offset destination	;; offset word
	dw	selector		;; segment selector word
	endm

CALLFAR MACRO	 destination,selector	 ; dynamic CALL FAR SEG:OFF
	db	09ah			;; jmp instruction
	dw	offset destination	;; offset word
	dw	selector		;; segment selector word
	endm

IO_Delay	MACRO
	out	0e7h,ax
	ENDM


ICEBP		MACRO
	db	0f1h
	ENDM
