;-----------------------------------------------------------------------------
; Structures
;-----------------------------------------------------------------------------
    Desc_cache	STRUC
		db	?
	_Type	db	?
	_CS32	db	?
		db	?
	_Addr	dd	?
	_Limit	dd	?
    Desc_cache	ENDS


    INT_Desc	STRUC
	IGate_Offset	dw	?	; Offset of handler
	CSEG_Sel	dw	?	; Code segment selector
			db	0
			db	86h	; 286 interrupt gate=16bit CS:IP, FLAGS
	Resvd		dw	0	; Reserved=0
    INT_Desc	ENDS


    Descriptor	STRUC
	Seg_limit	dw	?	; Segment limit
	Base_A15_A00	dw	?	; A00..A15 of base address
	Base_A23_A16	db	?	; A16..A23 of base address
	Access_rights	db	?	; Segment access rights
	GDLimit_A19_A16 db	?	; Granularity, Op-size, Limit A16..A19
	Base_A31_A24	db	?	; A24..A31 of base address
    Descriptor	ENDS
